### Signal

# Ide Pipeline::diagnostic

#### Declaration

    void
    diagnostic (
      IdePipeline* self,
      IdeDiagnostic* diagnostic,
      gpointer user_data
    )

#### Description

This signal is emitted when a plugin has detected a diagnostic while building the pipeline.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`diagnostic` | `IdeDiagnostic`
| The newly created diagnostic.
| The data is owned by the caller of the function.